Foreman - Bug #32359

Hammer Report-Template Complains about 'Input Days from Now' Being Blank
04/20/2021 02:18 PM - Oleh Fedorenko

Status: Closed
Priority: Normal
Assignee:
Category: Reporting
Target version:
Difficulty: easy Fixed in Releases: 3.10.0
Triaged: Yes Found in Releases:
Bugzilla link: 1943306 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9942,
https://github.com/theforeman/foreman/p
ull/10005
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1943306

Description of problem:

This seems like a regression from earlier versions of Satellite. Trying to generate a Subscription - Entitlement Report throws an error
about Input Days from Now. Earlier versions of Satellite (6.6, 6.7) did not show this issue:

1. hammer report-template list | grep 130
130 | Subscription - Entitlement Report

1. hammer report-template generate --report-format yaml --id 130

Input Days from Now: Value can't be blank
Input Days from Now: Value is not included in the list

Adding the "--inputs" flag with a value works:

1. hammer report-template generate --report-format yaml --id 130 --inputs "Days from Now"="no limit

~a~~

Version-Release nhumber of selected component (if applicable):
Satellite 6.8.2

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:
report template fails to run due to error about "Days from Now"

Expected results:
report template should generate without warning

Additional info:
https://bugzilla.redhat.com/show_bug.cgi?id=1943306

Associated revisions

Revision a869ca41 - 12/06/2023 05:20 PM - Quinn James

Fixes #32359 - Entitlement report generation now shows all entittements by default.

Modified gitignore to exclude .yardoc directory.

History

#1 - 04/20/2021 02:21 PM - Oleh Fedorenko

- Category changed from Statistics to Reporting
- Priority changed from High to Normal

- Difficulty set to easy

- Triaged changed from No to Yes

The error also appears when using API directly. I'd suggest allow nil or use default value for "Input Days from Now" input.

#2 - 11/30/2023 08:11 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/9942 added

#3 - 12/06/2023 05:20 PM - The Foreman Bot
- Fixed in Releases 3.10.0 added

#4 - 12/06/2023 06:00 PM - Quinn James
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|a869ca41fd5792d55d4f55d541023af346bf35f1.

#5 - 02/05/2024 11:54 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/10005 added
